<!--
 * @Author: 文贝
 * @Date: 2022-02-08 21:36:57
 * @LastEditors: 文贝
 * @LastEditTime: 2022-09-15 13:25:42
 * @Descripttion: 
 * @FilePath: \ics-chromely-plugin-report\README.md
-->
### Usage

```bash
npm i @icreate/ics-chromely-plugin-report-js-sdk
```

### Features
```
0.0.7 修复打印和准备打印方法调用不传打印机名称时使用默认打印机
0.0.6 修改print和printPrepared的printerName允许为空
0.0.5 增加打印准备报表printPrepared
0.0.4 增加预览准备报表showPrepared
0.0.3  将注册数据源数据转为为json字符串
```

 - ReportHelper:报表


### Importing library

You can import the generated bundle to use the whole library generated by this starter:

```javascript
import ReportHelper from '@icreate/ics-chromely-plugin-report-js-sdk'
```

### ReportHelper

```javascript
  // 指定文件加载报表
   load(fileName: string): Promise<any> 
  // 根据Id加载报表
   loadFromId(reportId: string): Promise<any> 
 // 清空数据源
   clearData(): Promise<any> 
  // 注册数据源
   registerData(name: string, data: Array<any>): Promise<any>
  // 设置双面打印
   doublePass(value: Boolean): Promise<any>
  // 准备报表
   prepare(append: Boolean): Promise<any>
  // 添加参数
   addParameter(name: string, value: string): Promise<any>
  // 设计报表
   design(): Promise<any> 
  // 预览报表
   show(): Promise<any>
  // 预览准备报表
   showPrepared(): Promise<any>
  // 打印报表
   print(printerName?: string): Promise<any>
  // 打印准备报表
   printPrepared(printerName?: string): Promise<any>
  //  导出pdf
   ExportToPdf(fileName: string): Promise<any> 
  //  导出html
   exportToHtml(fileName: string): Promise<any> 
  // 释放报表
   dispose(): Promise<any>
```

### 一般设计打印示例

```javascript
  const reportHelper = new ReportHelper()
  await reportHelper.load('xxxx.frx')
  await reportHelper.clearData()
  await reportHelper.registerData('患者基本信息',[{ id:"1",name:"张三"}])
  await reportHelper.design() //设计报表
  await reportHelper.show() //预览报表
  await reportHelper.print() //打印报表

```

### 合并打印示例

```javascript
  const reportHelper = new ReportHelper()
  //加载报表1
  await reportHelper.load('xxxx.frx')
  await reportHelper.clearData()
  await reportHelper.registerData('患者基本信息',[{ id:"1",name:"张三"}])
  await reportHelper.prepare(false)
  //加载报表2
  await reportHelper.load('xxxx.frx')
  await reportHelper.clearData()
  await reportHelper.registerData('患者基本信息',[{ id:"1",name:"李四"}])
  await reportHelper.prepare(true)
  await reportHelper.showPrepared() //预览准备报表
  await reportHelper.printPrepared() //打印准备报表
```
